Get template
curl --request GET \
--url https://api.modem.dev/v1/automation-templates/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modem.dev/v1/automation-templates/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modem.dev/v1/automation-templates/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"modelLevel": "high",
"name": "<string>",
"outputChannels": [
{
"channel": "discord",
"destinations": [
"<string>"
],
"mode": "any-internal"
}
],
"prompt": "<string>",
"relatedTemplates": [
"<string>"
],
"requiredIntegrations": [
"<string>"
],
"schedule": {
"expr": "<string>",
"type": "cron"
},
"slug": "<string>",
"subtitle": "<string>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}{
"code": "NOT_FOUND",
"defined": true,
"message": "<string>",
"status": 404,
"data": "<unknown>"
}Automations
Get template
Get one template by slug: full prompt, default schedule, model level, output channels, and required integrations. Clients that support creating automations can pass the slug as sourceDefaultTaskSlug to link the new automation to its template.
GET
/
automation-templates
/
{slug}
Get template
Authorizations
Organization API key (modem_…).
Path Parameters
Pattern:
^[a-z0-9-]+$Response
OK
Model quality/speed tier persisted for automation execution.
Available options:
high, low, med Show child attributes
Show child attributes
Defines when an automation should run.
- Schedule Specification
- Schedule Specification
- Schedule Specification
- Schedule Specification
- Schedule Specification
Show child attributes
Show child attributes
Pattern:
^[a-z0-9-]+$Was this page helpful?